<?php
class ControllerModuleLess extends Controller {
	private $error = array(); 
	
	public function index() {   
		$this->load->language('module/less');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('module/less');
                	
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()){
					
			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		}
				
		$this->data['heading_title'] = $this->language->get('heading_title');
                $this->data['mail_label'] = $this->language->get('mail_label');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		
 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
		if (isset($this->error['dimension'])) {
			$this->data['error_dimension'] = $this->error['dimension'];
		}
				
  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
                    'text'      => $this->language->get('text_home'),
                    'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
                    'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
                    'text'      => $this->language->get('text_module'),
                    'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
                    'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
                    'text'      => $this->language->get('heading_title'),
                    'href'      => $this->url->link('module/less', 'token=' . $this->session->data['token'], 'SSL'),
                    'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('module/less', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
                
                $this->data['mail'] = $this->model_module_less->getMail();
				
		$this->template = 'module/less.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
				
		$this->response->setOutput($this->render());
	}
	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/less')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (isset($this->request->post['mail'])) {
                        
                        if($this->model_module_less->editMail($this->request->post['mail']) === FALSE){
                            $this->error['dimension'] = $this->language->get('error_dimension');
                        }
		}
		
		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	}
}
?>
